import { jsx } from "react/jsx-runtime";
import { TokenMTRM as TokenMTRM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMTRM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MTRM", "data-name": "TokenMTRM", ...props, children: /* @__PURE__ */ jsx(TokenMTRM$1, { variant }) });
  }
);
TokenMTRM.displayName = "TokenMTRM";
Object.assign(TokenMTRM, { isGdsIcon: true });
export {
  TokenMTRM
};
